export function PermissionsEditorContent({ title, description, entities, columns, filterPlaceholder, breadcrumbs, onBreadcrumbsItemSelect, onChange, onSelect, onAction, postHeaderContent: PostHeaderContent, preHeaderContent: PreHeaderContent, }: {
    title: any;
    description: any;
    entities: any;
    columns: any;
    filterPlaceholder: any;
    breadcrumbs: any;
    onBreadcrumbsItemSelect: any;
    onChange: any;
    onSelect: any;
    onAction: any;
    postHeaderContent?: (() => null) | undefined;
    preHeaderContent?: (() => null) | undefined;
}): import("react/jsx-runtime").JSX.Element;
export namespace PermissionsEditorContent {
    export { permissionEditorContentPropTypes as propTypes };
}
export namespace permissionEditorContentPropTypes {
    let title: PropTypes.Validator<string>;
    let description: PropTypes.Requireable<string>;
    let columns: PropTypes.Requireable<any[]>;
    let entities: PropTypes.Requireable<any[]>;
    let filterPlaceholder: PropTypes.Validator<string>;
    let onChange: PropTypes.Requireable<(...args: any[]) => any>;
    let onSelect: PropTypes.Requireable<(...args: any[]) => any>;
    let onAction: PropTypes.Requireable<(...args: any[]) => any>;
    let onBreadcrumbsItemSelect: PropTypes.Requireable<(...args: any[]) => any>;
    let breadcrumbs: PropTypes.Requireable<any[]>;
    let postHeaderContent: PropTypes.Requireable<(...args: any[]) => any>;
    let preHeaderContent: PropTypes.Requireable<(...args: any[]) => any>;
}
import PropTypes from "prop-types";
